import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class SearchQueryComponent implements ControlValueAccessor {
    autofocus: boolean;
    placeholder: string;
    immediatlySearch: EventEmitter<void>;
    _value: string;
    _onChange: (_: any) => void;
    _onTouched: () => void;
    writeValue(value: string): void;
    registerOnChange(fn: (_: any) => void): void;
    registerOnTouched(fn: any): void;
    setValue(value: string): void;
    searchImmediately(): void;
    clearValue(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchQueryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchQueryComponent, "ax-search-query", never, { "autofocus": "autofocus"; "placeholder": "placeholder"; }, { "immediatlySearch": "immediatlySearch"; }, never, ["*"], false, never>;
}
